Gtk2::SourceView2::Language(3)

NAME
Gtk2::SourceView2::Language

HIERARCHY
  Glib::Object
  +----Gtk2::SourceView2::Language

METHODS

  list = $language->get_globs

  boolean = $language->get_hidden

  string = $language->get_id

  string or undef = $language->get_metadata ($name)

•   $name (string)

  list = $language->get_mime_types

  string = $language->get_name

  string = $language->get_section

  list = $language->get_style_ids

  string or undef = $language->get_style_name ($style_id)

•   $style_id (string)

PROPERTIES

'hidden' (boolean : default false : readable)
    Whether the language should be hidden from the user

'id' (string : default undef : readable)
    Language id

'name' (string : default undef : readable)
    Language name

'section' (string : default undef : readable)
    Language section

SEE ALSO
Gtk2::SourceView2, Glib::Object

COPYRIGHT
Copyright (C) 2009 by Emmanuel Rodriguez